using System;
using System.Collections.Generic;

using Syntriax.Engine.Core;
using Syntriax.Engine.Core.Abstract;

namespace Syntriax.Engine.Physics2D.Abstract;

public interface ICollider2D : IBehaviour, IAssignableTransform
{
    Action<ICollider2D, ICollider2D>? OnCollisionPreResolve { get; set; }

    IRigidBody2D? RigidBody2D { get; }

    IList<Vector2D> Vertices { get; }

    bool CheckCollision(Vector2D point);
    void Recalculate();
}
